#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.2
visibility:           public
id:                   kan-extensions-5.2.2-lFF6YUSQic8wUGduaZdNj
key:                  kan-extensions-5.2.2-lFF6YUSQic8wUGduaZdNj
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  87f89f417f826a1a90b903a586720fdf
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-8.10.5/site-local/kan-extensions-5.2.2
library-dirs:         /usr/lib/ghc-8.10.5/site-local/kan-extensions-5.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/i386-linux-ghc-8.10.5/kan-extensions-5.2.2
hs-libraries:         HSkan-extensions-5.2.2-lFF6YUSQic8wUGduaZdNj
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-8Wm1QSIjMoe9YCYyPgaxz4 array-0.5.4.0 base-4.14.2.0
    comonad-5.0.8-8a10YHmXJVq2BoDg3RtKOL containers-0.6.4.1
    contravariant-1.5.3-KWoYE9wiUjmElzHNq2wj10
    distributive-0.6.2.1-FKGYrCjdfe8EPx7TggrhZc
    free-5.1.7-G4cc1Y718fXDuPxii9x6Pg
    invariant-0.5.4-JZDKvCk68DhDc6NxxjLyZy mtl-2.2.2
    profunctors-5.6.2-HmnVxCk8JDbE3jxtqz7wd8
    semigroupoids-5.3.5-1MUCoMhFnfRKlT8x21E1a0
    tagged-0.8.6.1-F25vmSN4H5fEaMJYsLgYMV transformers-0.5.6.2
    transformers-compat-0.6.6-8xD7tdhdla21VYsnm1hEvk

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

